Bug 315571 - Update services (esp. sge_execd and sge_qmaster)
Update services (esp. sge_execd and sge_qmaster)
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 12:28 EDT by Orion Poplawski
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 17:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-10-02 12:28:01 EDT
It'd be nice to get an updated services into F8.  I'm particularly interested in
having sge_execd and sge_qmaster present.
Comment 1 Phil Knirsch 2008-02-22 11:05:32 EST
Reassigning to gridengine component.
Comment 2 Orion Poplawski 2008-02-22 11:21:43 EST
Phil -

  Is there a mechanism for individual packages to add entries to /etc/services?
 I though setup handled /etc/services?
Comment 3 Orion Poplawski 2008-02-22 11:36:06 EST
From http://www.iana.org/assignments/port-numbers

sge_qmaster	6444/tcp   Grid Engine Qmaster Service
sge_qmaster	6444/udp   Grid Engine Qmaster Service
sge_execd	6445/tcp   Grid Engine Execution Service
sge_execd	6445/udp   Grid Engine Execution Service
Comment 4 Phil Knirsch 2008-03-28 12:58:15 EDT
Unfortunately not. glibc only reads /etc/services (resp. the db in case you
change your configuration), so there is no such thing as a /etc/services.d/

And yes, setup handles /etc/services. The problem is that the IANA upstream file
contains some entries that can't be handled by glibc and additionally the order
of the /etc/services file we ship is partially optimized for common uses of
services so that lookups for those work as fast as possible.

I'll be doing the manual update for /etc/services to the latest upstream version
in the next few days which then should include the Grid related services, too.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.